New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Open Api Spec 3.0.0 #312

Closed
alairock opened this Issue Jul 29, 2017 · 7 comments

Comments

Projects
None yet
5 participants
@alairock
Contributor

alairock commented Jul 29, 2017

Looks like that became available this last week. Is there an effort on-going to conform to the new specification?

@RomanGotsiy

This comment has been minimized.

Show comment
Hide comment
@RomanGotsiy

RomanGotsiy Aug 1, 2017

Contributor

@alairock yes this is on the road map.
I am starting working on this very soon

Contributor

RomanGotsiy commented Aug 1, 2017

@alairock yes this is on the road map.
I am starting working on this very soon

@ThatBrianDude

This comment has been minimized.

Show comment
Hide comment
@ThatBrianDude

ThatBrianDude Sep 11, 2017

Any updates on this? Don't mean to rant but I just wasted an hour trying out my 3.0 yaml with this, while everything else works great, response examples arent rendered at all. Maybe you can add a Note to the readme pointing out that 3.0 isnt supported yet

ThatBrianDude commented Sep 11, 2017

Any updates on this? Don't mean to rant but I just wasted an hour trying out my 3.0 yaml with this, while everything else works great, response examples arent rendered at all. Maybe you can add a Note to the readme pointing out that 3.0 isnt supported yet

@philsturgeon

This comment has been minimized.

Show comment
Hide comment
@philsturgeon

philsturgeon Sep 11, 2017

Contributor

Hey @ThatBrianDude, I turned your idea into a pull request.

Your time isn't wasted, if those 3.0 yaml files are public, could you send them to this fella? With API Flow properly supporting v3.0, nobody will need to manually upgrade v3.0 files.

Contributor

philsturgeon commented Sep 11, 2017

Hey @ThatBrianDude, I turned your idea into a pull request.

Your time isn't wasted, if those 3.0 yaml files are public, could you send them to this fella? With API Flow properly supporting v3.0, nobody will need to manually upgrade v3.0 files.

@rottenoats

This comment has been minimized.

Show comment
Hide comment
@rottenoats

rottenoats Sep 15, 2017

Any updates on this?

rottenoats commented Sep 15, 2017

Any updates on this?

@philsturgeon

This comment has been minimized.

Show comment
Hide comment
@philsturgeon

philsturgeon Sep 22, 2017

Contributor

@rugdealer I believe the plan is to port to ReactJS, then get stuck into the OpenAPI v3.0 efforts.

#327

I'm ready and waiting for this issue to be done, then I'll be happy to help with the OpenAPI v3.0 support. Open Source :)

Contributor

philsturgeon commented Sep 22, 2017

@rugdealer I believe the plan is to port to ReactJS, then get stuck into the OpenAPI v3.0 efforts.

#327

I'm ready and waiting for this issue to be done, then I'll be happy to help with the OpenAPI v3.0 support. Open Source :)

@RomanGotsiy

This comment has been minimized.

Show comment
Hide comment
@RomanGotsiy

RomanGotsiy Sep 23, 2017

Contributor

@philsturgeon OAS 3.0 support is coming together with #327. It's taking me a little longer time than I expected but I'm already close to the point I can publish this to a branch and let the community help me :)
Definitely, some features will be missing in the alpha.

Contributor

RomanGotsiy commented Sep 23, 2017

@philsturgeon OAS 3.0 support is coming together with #327. It's taking me a little longer time than I expected but I'm already close to the point I can publish this to a branch and let the community help me :)
Definitely, some features will be missing in the alpha.

@RomanGotsiy

This comment has been minimized.

Show comment
Hide comment
@RomanGotsiy

RomanGotsiy Jun 1, 2018

Contributor

redoc@2.0.0-alpha.x already supports OpenAPI 3.0.
It doesn't support all the features yet though.

Closing this issue!
Feel free to open separate issues for the features you need but which are not supported by ReDoc.

Contributor

RomanGotsiy commented Jun 1, 2018

redoc@2.0.0-alpha.x already supports OpenAPI 3.0.
It doesn't support all the features yet though.

Closing this issue!
Feel free to open separate issues for the features you need but which are not supported by ReDoc.

@RomanGotsiy RomanGotsiy closed this Jun 1, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment